Acceleration:
    data_type: "number"
    default_units: "meter / second^2"

AngularSpeed:
    data_type: "number"
    default_units: "radian / second"

Bool:
    data_type: "boolean"

Charge:
    data_type: "number"
    default_units: "coulomb"

Current:
    data_type: "number"
    default_units: "ampere"

Energy:
    data_type: "number"
    default_units: "joule"

EnergyCapacity:
    data_type: "number"
    default_units: "joule"

Power:
    data_type: "number"
    default_units: "watt"

Resistance:
    data_type: "number"
    default_units: "ohm"

Voltage:
    data_type: "number"
    default_units: "volt"

FlowRate:
    data_type: "number"
    default_units: "meter^3 / second"

Angle:
    data_type: "number"
    default_units: "degree"

Area:
    data_type: "number"
    default_units: "meter^2"

Volume:
    data_type: "number"
    default_units: "meter^3"

Dimensions:
    data_type: "number"
    default_units: "meter"

Distance:
    data_type: "number"
    default_units: "meter"

CoefficientLinearThermalExpansion:
    data_type: "number"
    default_units: "1 / kelvin"

FractureToughness:
    data_type: "number"
    default_units: "kilojoule / meter^2"

NotchedImpact:
    data_type: "number"
    default_units: "joule / meter^2"

SpecificModulus:
    data_type: "number"
    default_units: "pascal / (kilogram / meter^3)"

HeatCapacity:
    data_type: "number"
    default_units: "joule / kelvin"

SpecificHeatCapacity:
    data_type: "number"
    default_units: "joule / (kilogram * kelvin)"

Temperature:
    data_type: "number"
    default_units: "kelvin"

ThermalConductance:
    data_type: "number"
    default_units: "watt / kelvin"

ThermalConductivity:
    data_type: "number"
    default_units: "watt / (kelvin * meter)"

HeatTransferCoefficient:
    data_type: "number"
    default_units: "watt / (kelvin * meter^2)"

EnergyFlux:
    data_type: "number"
    default_units: "watt / meter^2"
    description: "Rate of energy transfer per unit area"

ThermalDiffusivity:
    data_type: "number"
    description: "Thermal conductivity divided by density and specific heat capacity at constant pressure"
    default_units: "meter^2 / second"

Density:
    data_type: "number"
    default_units: "kilogram / meter^3"

Efficiency:
    data_type: "number"
    default_units: "dimensionless"

FileName:
    data_type: "string"

Force:
    data_type: "number"
    default_units: "newton"

Mass:
    data_type: "number"
    default_units: "kilogram"

Notes:
    data_type: "string"

Pressure:
    data_type: "number"
    default_units: "pascal"

Scalar:
    data_type: "number"
    default_units: "dimensionless"

Speed:
    data_type: "number"
    default_units: "meter / second"

Text:
    data_type: "string"

Time:
    data_type: "number"
    default_units: "second"

Torque:
    data_type: "number"
    default_units: "meter * newton"

Currency:
    data_type: "number"
    default_units: "euros"

AccountingEurosIncomingPositive:
    data_type: "number"
    default_units: "euros"
    sign_convention: "InToComponent"

AccountingEurosOutgoingPositive:
    data_type: "number"
    default_units: "euros"
    sign_convention: "OutOfComponent"

CostPerUnitMass:
    data_type: "number"
    default_units: "euros / kilogram"

CostPerUnitEnergy:
    data_type: "number"
    default_units: "euros / joule"

Percent:
    data_type: "number"
    default_units: "dimensionless"

Count:
    data_type: "integer"

Frequency:
    data_type: "number"
    default_units: "1 / second"

DatetimeObject:
    data_type: "datetime"

RoadClass:
    data_type: "string"

FileLocation:
    data_type: "urltext"

MomentOfInteria:
    data_type: "number"
    default_units: "kilogram * meter^2"

CorneringStiffness:
    data_type: "number"
    default_units: "newton / radian"

DynamicViscosity:
    data_type: "number"
    default_units: "kilogram / (meter * second)"

CarbonFootprint:
    data_type: "number"
    default_units: "kilogram * CO2e"

CarbonIntensity:
    data_type: "number"
    default_units: "(kilogram * CO2e) / kilowatthour"

DrivingEmissions:
    data_type: "number"
    default_units: "(kilogram * CO2e) / kilometer"

FuelMassConsumption:
    data_type: "number"
    description: "Mass of fuel consumed per unit distance"
    default_units: "kilogram / kilometer"

TransportEmissions:
    data_type: "number"
    default_units: "(kilogram * CO2e) / (tonne * kilometer)"
    description: "Kilograms of CO2 equivalent per tonne of material shipped per kilometre"

ScalarRateOfChange:
    data_type: "number"
    default_units: "1 / second"
    description: "Rate of change of a scalar quantity"

RequirementSatisfied:
    data_type: "boolean"
    description: "Output of a requirement satisfied"

EnergyConsumption:
    data_type: "number"
    description: "Amount of energy used by a vehicle per unit distance"
    default_units: "joule / meter"

SpecificEnthalpy:
    data_type: "number"
    default_units: "joule / kilogram"

MassFlowRate:
    data_type: "number"
    description: "Mass of a fluid that passes per unit time"
    default_units: "kilogram / second"

Gear:
    data_type: "integer"
    description: "The gear the vehicle is in"

KinematicPressure:
    data_type: "number"
    default_units: "meter^2 / second^2"
    description: "Pressure normalised by density"

TurbulentKineticEnergy:
    data_type: "number"
    default_units: "joule / kilogram"
    description: "Kinetic energy due to turbulence"

SpecificDissipationRate:
    data_type: "number"
    default_units: "1 / second"
    description: "Rate of change of turbulent kinetic energy to internal energy"

TurbulentKineticEnergyDissipationRate:
    data_type: "number"
    default_units: "meter^2 / second^3"
    description: "Turbulent kinetic energy dissipation rate"

KinematicViscosity:
    data_type: "number"
    default_units: "meter^2 / second"
    description: "Dynamic viscosity normalised by density"

AxisDirection:
    data_type: "integer"
    description: "Direction indication of the axis"

UnstructuredMapping:
    data_type: points

GriddedMapping:
    data_type: grid

Submodel:
    data_type: submodel

Jerk:
    data_type: "number"
    default_units: "meter / second^3"

ThermalResistance:
    data_type: "number"
    default_units: "kelvin / watt"

ThermalCapacitance:
    data_type: "number"
    default_units: "joule / kelvin"
